Page MenuHomePhabricator

Community Engineers have a working EventLogging dev server in vagrant [8 pts]
Closed, ResolvedPublic8 Story Points

Description

eventlogging dev server is broken on vagrant, needs fixing.

Details

Related Gerrit Patches:
mediawiki/vagrant : masterRoute eventlogging-devserver from 8080 to 8100
mediawiki/extensions/EventLogging : masterFix wrong change on LogParser old specifiers
mediawiki/extensions/EventLogging : masterRemove old specifiers when creating LogParser

Event Timeline

Nuria created this task.Jan 7 2015, 9:17 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added a project: Analytics-EventLogging.
Nuria set Security to None.
Nuria added a subscriber: Nuria.
kevinator renamed this task from eventlogging dev server broken to Community Engineers have a working EventLogging dev server in vagrant.Jan 8 2015, 12:38 AM
kevinator triaged this task as Medium priority.
Nuria added a comment.Jan 8 2015, 5:29 PM

Traceback (most recent call last):

File "./bin/eventlogging-devserver", line 72, in <module>
  parser = eventlogging.LogParser('%q %l %n %t %h')
File "/usr/local/lib/python2.7/dist-packages/eventlogging-0.8.post20150107-py2.7.egg/eventlogging/parse.py", line 141, in __init__
  raw = re.sub(r'(?<!%)%({(\w+)})?([dhijlnqst])', self._repl, format)
File "/usr/lib/python2.7/re.py", line 151, in sub
  return _compile(pattern, flags).sub(repl, string, count)
File "/usr/local/lib/python2.7/dist-packages/eventlogging-0.8.post20150107-py2.7.egg/eventlogging/parse.py", line 149, in _repl
  matcher, caster = format_specifiers[specifier]

KeyError: u'l'

Nuria added a comment.Jan 8 2015, 5:30 PM

Trace above of error on devserver

ggellerman renamed this task from Community Engineers have a working EventLogging dev server in vagrant to Community Engineers have a working EventLogging dev server in vagrant [8 pts].Jan 8 2015, 5:31 PM
ggellerman moved this task from In Tech Review to Radar on the Analytics-Engineering board.
mforns claimed this task.Jan 8 2015, 8:04 PM

Change 183709 had a related patch set uploaded (by Mforns):
Remove old specifiers when creating LogParser

https://gerrit.wikimedia.org/r/183709

Patch-For-Review

Change 183709 merged by jenkins-bot:
Remove old specifiers when creating LogParser

https://gerrit.wikimedia.org/r/183709

Change 184356 had a related patch set uploaded (by Mforns):
[WIP]

https://gerrit.wikimedia.org/r/184356

Patch-For-Review

Change 184794 had a related patch set uploaded (by Mforns):
Route eventlogging-devserver from 8080 to 8100

https://gerrit.wikimedia.org/r/184794

Patch-For-Review

Change 184356 merged by jenkins-bot:
Fix wrong change on LogParser old specifiers

https://gerrit.wikimedia.org/r/184356

Change 184794 merged by jenkins-bot:
Route eventlogging-devserver from 8080 to 8100

https://gerrit.wikimedia.org/r/184794

mforns closed this task as Resolved.Jan 16 2015, 3:22 PM
kevinator reopened this task as Open.Jan 16 2015, 4:12 PM
kevinator added a subscriber: kevinator.

temporarily re-opening this task so its points show up on our burndown chart.

kevinator closed this task as Resolved.Jan 16 2015, 4:19 PM